﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd">
    <head><title>Understanding the Interface</title>
        <link href="../../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1><a name="top"></a>Understanding the Interface</h1>
        <p>IGA provides the following interface for enrolling and managing applications:</p>
        <h3 id="UnderstandingtheInterface-ApplicationManagementPage">Application Management Page</h3>
        <p>The Application Management page lets you enroll applications or manage the lifecycle of the applications that are already enrolled. To display this page, log in to IGA, click the&#160;<strong>Applications</strong>&#160;icon on the top right of the Home page, and select&#160;<strong>Design</strong>.</p>
        <p> <img src="../../Resources/Images/interface1.png" /></p>
        <p>The Application Management page consists of the following tabs:</p>
        <ul>
            <li>
                <p><strong>Catalog:</strong> Lists the application types. Each application type includes the enrolled applications.</p>
                <p>
                    <img src="../../Resources/Images/interface2.png" style="width: 600px;" />
                </p>
                <p>To list all the enrolled applications within an application type in the Instances page, click&#160;<strong>View Details</strong>&#160;for the application type.</p>
                <p>
                    <img src="../../Resources/Images/interface3.png" style="width: 600px;" />
                </p>
            </li>
            <li>
                <p><strong>Enrollment:</strong> Shows applications for the available application types that can be enrolled.</p>
                <p>
                    <img src="../../Resources/Images/interface4.png" style="width: 600px;" />
                </p>
                <p>The <strong>Enrollment</strong> tab contains the following sections:</p>
                <ul>
                    <li>
                        <p><strong>Pending Enrollments:</strong>&#160;Displays the list of applications that have been saved as drafts and not committed to the database. To display the instances of an application type whose enrollment is pending, click the application type.</p>
                    </li>
                    <li>
                        <p><strong>Enroll New Application:</strong>&#160;Displays all the available application types that can be enrolled. Click an application type to enroll an application of that type. After providing the basic details of the application, you can enroll the applications by using quick, assisted, or advanced methods.</p>
                    </li>
                </ul>
            </li>
        </ul>
        <h3 id="UnderstandingtheInterface-HomePageofanApplication">Home Page of an Application</h3>
        <p>The Home page lets you view and edit the configuration of the enrolled applications or the applications whose enrollment is pending. When an application is in the pending enrollment state, you can make configuration changes to it without committing them to the database. When you finish completing the changes, click&#160;<strong>Commit Changes</strong>&#160;to complete enrolling the application.</p>
        <p>An application’s Homepage provides the following options for completing the configuration: </p>
        <ul>
            <li>
                <p><strong>Assisted configuration:</strong>&#160;Provides a wizard to configure the application in a guided mode. The wizard displays the application features as logical groups of settings and guides you through a step-by-step configuration process. The features listed here are the ones selected in the Features step while providing basic information for the application. The Home page also lets you add or remove the features that you want to configure in the assisted mode. </p>
            </li>
            <li>
                <p><strong>Advanced configuration:</strong>&#160;Allows you to manually configure the application.</p>
            </li>
        </ul>
        <p>To access the Home page of an application, go to the <strong>Application Management</strong> page and click&#160;<strong>Catalog</strong>, and then click&#160;<strong>View Details</strong>&#160;to the right of an application type. On the <strong>Instances </strong>page that displays, click&#160;<strong>Configure</strong>&#160;in the Actions column of the application that you want to configure.</p>
        <p>
            <img src="../../Resources/Images/interface5.png" style="width: 600px;" />
        </p>
        <p>To configure a feature, click the arrow next to the feature. The configuration parameters are displayed on the <strong>Application Details</strong> page.</p>
        <p>
            <img src="../../Resources/Images/interface6.png" style="width: 600px;" />
        </p>
        <p>If you want to browse through the configuration categories, click the right and left arrows on the left pane. To navigate through the guided configuration, click the left and right arrows on the left pane. When finished providing the values for the configuration parameters, click&#160;<strong>Done</strong>&#160;to go back to the Homepage.</p>
    </body>
</html>